import { defineComponent as u, computed as c, toDisplayString as s } from "vue";
const p = /* @__PURE__ */ u({
  __name: "DatahubDataTypeUnitValueRenderer",
  props: {
    row: {},
    rowIndex: {},
    cell: {},
    cellValue: {},
    dataTypeInstance: {},
    modelValue: {}
  },
  setup(n) {
    const e = n, a = c(() => {
      if (!e.cellValue)
        return "";
      const t = Number.parseFloat(
        e.cellValue.value
      ).toLocaleString(), l = (e.cell.properties.units ?? []).find(
        ({ id: r }) => r === e.cellValue.unitId
      )?.symbol;
      return l ? `${t} ${l}` : t;
    });
    return (t, o) => s(a.value);
  }
});
export {
  p as default
};
